import { r as registerInstance, h, H as Host } from './core-b78a8f7e.js';

const DatetimePickerToggle = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
    }
    render() {
        return (h(Host, { slot: "end" }, h("anj-button", { context: "free", "aria-label": "Toggle Date Time Picker" }, h("svg", { slot: "icon-only", viewBox: "0 0 24 24", height: "24px", width: "24px" }, h("path", { d: "M19 3h-1V1h-2v2H8V1H6v2H5c-1.11 0-1.99.9-1.99 2L3 19c0 1.1.89 2 2 2h14c1.1 0 2-.9 2-2V5c0-1.1-.9-2-2-2zm0 16H5V8h14v11zM7 10h5v5H7z" })))));
    }
};

export { DatetimePickerToggle as anj_datetime_picker_toggle };
